OOB Class Reference

`#include <oob.h>`

Inheritance diagram for OOB:
[legend]

## Public Member Functions

| OOB (const std::string &url, const std::string &description, bool iqext)
| OOB (const Tag *tag)
virtual | ~OOB ()
const std::string & | url () const
const std::string & | desc () const
virtual const std::string & | filterString () const
virtual StanzaExtension * | newInstance (const Tag *tag) const
Tag * | tag () const
virtual StanzaExtension * | clone () const
Public Member Functions inherited from StanzaExtension
| StanzaExtension (int type)
virtual | ~StanzaExtension ()
virtual Stanza * | embeddedStanza () const
virtual Tag * | embeddedTag () const
int | extensionType () const

## Detailed Description

This is an abstraction of a jabber:x:oob namespace element or a jabber:iq:oob namespace element as specified in XEP-0066.

XEP version: 1.5

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 35 of file oob.h.

## Constructor & Destructor Documentation

## OOB() [1/2]

OOB | ( | const std::string & | url,
|  | const std::string & | description,
|  | bool | iqext )

Constructs an OOB StanzaExtension from teh given URL and description.

Parameters

  url | The out-of-band URL.
  description | The URL's optional description.
  iqext | Whether this object extends an IQ or a Presence/Message stanza (results in either jabber:iq:oob or jabber:x:oob namespaced element).

Definition at line 20 of file oob.cpp.

## OOB() [2/2]

OOB | ( | const Tag * | tag | ) |

Constructs an OOB object from the given Tag. To be recognized properly, the Tag must have either a name of 'x' in the jabber:x:oob namespace, or a name of 'query' in the jabber:iq:oob namespace.

Parameters

  tag | The Tag to parse.

Definition at line 28 of file oob.cpp.

## ~OOB()

~OOB | ( |  | ) |

virtual

Virtual destructor.

Definition at line 49 of file oob.cpp.

## Member Function Documentation

## clone()

virtual StanzaExtension * clone | ( |  | ) | const

inline virtual

Returns an identical copy of the current StanzaExtension.

Returns
  An identical copy of the current StanzaExtension.

Implements StanzaExtension.

Definition at line 85 of file oob.h.

## desc()

const std::string & desc | ( |  | ) | const

inline

Returns the URL's description.

Returns
  The URL's description.

Definition at line 70 of file oob.h.

## filterString()

const std::string & filterString | ( |  | ) | const

virtual

Returns an XPath expression that describes a path to child elements of a stanza that an extension handles.

Returns
  The extension's filter string.

Implements StanzaExtension.

Definition at line 53 of file oob.cpp.

## newInstance()

virtual StanzaExtension * newInstance | ( | const Tag * | tag | ) | const

inline virtual

Returns a new Instance of the derived type. Usually, for a derived class FooExtension, the implementation of this function looks like:

StanzaExtension* FooExtension::newInstance( const Tag* tag ) const
{
return new FooExtension( tag );
}
gloox::OOB::tag
Tag * tag() const
Definition oob.cpp:62
gloox::StanzaExtension::StanzaExtension
StanzaExtension(int type)
Definition stanzaextension.h:211
gloox::Tag
This is an abstraction of an XML element.
Definition tag.h:47

Returns
  The derived extension's new instance.

Implements StanzaExtension.

Definition at line 76 of file oob.h.

## tag()

Tag * tag | ( |  | ) | const

virtual

Returns a Tag representation of the extension.

Returns
  A Tag representation of the extension.

Implements StanzaExtension.

Definition at line 62 of file oob.cpp.

## url()

const std::string & url | ( |  | ) | const

inline

Returns the out-of-band URL.

Returns
  The out-of-band URL.

Definition at line 64 of file oob.h.

The documentation for this class was generated from the following files:

- oob.h
- oob.cpp